Bug 34299 - Truncated stage2.img not detected during install
Truncated stage2.img not detected during install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-01 14:01 EDT by Peter H. Jones
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-02 19:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter H. Jones 2001-04-01 14:01:51 EDT
Overall description:
While installing from hard disk, the version of the stage2.img file I had 
downloaded was truncated at about 30M, instead of its true size of 89M. The 
installation appeared to proceed normally but, instead of doing the 
post-install, crashed without a clear diagnostic, saying finally "You may 
safely reboot your system". Someone leaving the machine unattended might 
think the instalation was OK>.

Steps to reproduce:
Attempt to install from hard disk with an incomplete stage2.img

Actual results:
Unpredictable, probably depends on actual length of downloaded stage2.img. 
No diagnostic message is given. See above, for one example.

Expected results:
Validation of the files in the base directory after selecting the 
directory where the RedHat files are, before installation gets under way.

In a dual-boot machine with Windows as its default system, it would also be 
really nice to be able to validate the RedHat installation files from the 
Windows environment, before rebooting from the installation diskette. 
Perhaps the RPMS could be validated too.
Comment 1 Brent Fox 2001-04-02 19:04:13 EDT
I think it's asking a bit much of anaconda for it to 'validate' itself.  If
something went wrong in the download bad enough to truncate the stage2.img,
there is a good chance that other files got corrupted too.  We can't go through
and verify that every single file has the correct md5sum.  

It's a good idea, but I think it just creates too much unnecessary overhead.

Note You need to log in before you can comment on or make changes to this bug.